using FluentValidation;
using Indotalent.Shared.Consts;

namespace Indotalent.Features.Pipeline.Campaign.Cqrs;

public class UpdateCampaignValidator : AbstractValidator<UpdateCampaignRequest>
{
    public UpdateCampaignValidator()
    {
        RuleFor(x => x.Id).NotEmpty();
        RuleFor(x => x.Title).NotEmpty().MaximumLength(GlobalConsts.StringLengthShort);
        RuleFor(x => x.SalesTeamId).NotEmpty().WithMessage("Sales Team is required");
    }
}